<header class="editor-header">
    <a ng-href="#/" class="logo">
        <img src="assets/images/logos/logo.svg">
        <span class="title">Éditeur</span>
    </a>
    <div class="der-title">
        <input type="text"
        ng-model="$ctrl.model.title"
        class="form-control input-lg">
    </div>

    <div class="state-buttons">
        <div class="form-group">
            <button
                class="btn btn-default"
                ng-click="$ctrl.undo()"
                ng-disabled="!$root.isUndoable"
                aria-label="Annuler la dernière action" title="Annuler la dernière action (Ctrl+Z)">
                <i class="material-icons mat-btn">undo</i>
                Annuler
            </button>

            <button
                class="btn btn-default"
                ng-click="$ctrl.redo()"
                ng-disabled="!$root.isRedoable"
                aria-label="Rétablir la dernière action" title="Rétablir la dernière action (Ctrl+Y)">
                <i class="material-icons mat-btn">redo</i>
                Restaurer
            </button>
        </div>
    </div>
</header>
<div class="aside-menu" ng-class="{'expand': $ctrl.expandedMenu}">

    <div class="main-menu btn-group-vertical">
        <button class="btn btn-info"
                ng-class="{'active': $ctrl.panel === 'draw'}"
                ng-click="$ctrl.displayDrawingParameters()"
                tooltip-placement="right" uib-tooltip="Dessin">
            <i class="material-icons">edit</i>
            <span class="text">Dessin</span>
        </button>

        <button class="btn btn-info"
                ng-class="{'active': $ctrl.panel === 'interaction'}"
                ng-click="$ctrl.displayInteractionParameters()"
                tooltip-placement="right" uib-tooltip="Interaction">
                <i class="material-icons">touch_app</i>
            <span class="text">Interaction</span>
        </button>

        <button
            class="btn btn-info"
            ng-class="{'active': $ctrl.panel === 'parameters'}"
            ng-click="$ctrl.displayParameters()"
            aria-label="Paramètres"
            tooltip-placement="right" uib-tooltip="Paramètres">
            <i class="material-icons">settings</i>
            <span class="text">Paramètres</span>
        </button>

    </div>

    <div class="export-menu btn-group-vertical">
        <button
            class="btn btn-success"
            ng-click="$ctrl.reset()"
            aria-label="Créer un nouveau DER"
            tooltip-placement="right" uib-tooltip="Créer un nouveau DER">
            <span class="material-icons">insert_drive_file</span>
            <span class="text">Nouveau</span>
        </button>

        <!-- Edit :  Delete option IOD of import (.iod, in accept et ,IOD in aria-label and uib-tooltip )-->
        <file-input class="btn btn-default"
            aria-label="Importer un DERi (SVG, ZIP)"
            on-change="$ctrl.importDER($event)"
            accept="image/svg+xml,application/zip"
            tooltip-placement="right"
            uib-tooltip="Importer un DERi (SVG, ZIP)">
            <span class="fa fa-lg fa-folder-open" aria-hidden="true"></span>
            <span class="text">Importer</span>
        </file-input>

        <button
            class="btn btn-default"
            ng-click="$ctrl.exportData()"
            aria-label="Exporter le DERi"
            tooltip-placement="right" uib-tooltip="Exporter le DERi">
            <span class="fa fa-lg fa-save" aria-hidden="true"></span>
            <span class="text">Exporter</span>
        </button>

        <button
            class="btn btn-info"
            ng-click="$ctrl.expandMenu()"
            aria-label="Détails du menu"
            tooltip-placement="right" uib-tooltip="Détails du menu">
            <span class="material-icons">arrow_forward</span>
            <span class="text">Expand</span>
        </button>
    </div>
</div>
